Package org.flowable.common.engine.api

# Class FlowableBatchPartMigrationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.flowable.common.engine.api.FlowableException
org.flowable.common.engine.api.FlowableBatchPartMigrationException

All Implemented Interfaces:
  `Serializable`

public class FlowableBatchPartMigrationException extends FlowableException

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `ignoreFailedJob`

  ### Fields inherited from class org.flowable.common.engine.api.FlowableException

  `isLogged, reduceLogLevel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableBatchPartMigrationException(String message)`
  `FlowableBatchPartMigrationException(String message, Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isIgnoreFailedJob()`
  `void`
  `setIgnoreFailedJob(boolean ignoreFailedJob)`

  ### Methods inherited from class org.flowable.common.engine.api.FlowableException

  `isLogged, isReduceLogLevel, setLogged, setReduceLogLevel`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ignoreFailedJob

    protected boolean ignoreFailedJob

- ## Constructor Details

  - ### FlowableBatchPartMigrationException

    public FlowableBatchPartMigrationException(String message, Throwable cause)

  - ### FlowableBatchPartMigrationException

    public FlowableBatchPartMigrationException(String message)

- ## Method Details

  - ### isIgnoreFailedJob

    public boolean isIgnoreFailedJob()

  - ### setIgnoreFailedJob

    public void setIgnoreFailedJob(boolean ignoreFailedJob)